# Copyright 2024 Zoé Cassiopée Gauthier.
#
# Use of this source code is governed by an MIT-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/MIT.

import argparse
import sys

import pogo_scaled_estimators.calculator


def main_cli():
    parser = argparse.ArgumentParser()
    _ = parser.add_argument("type", nargs="+", help="an attacker type")
    _ = parser.add_argument("--level", type=int, default=40)
    _ = parser.add_argument("--party", type=int, default=1)
    _ = parser.add_argument("--refresh", action="store_true", default=False)

    args = parser.parse_args()

    calculator = pogo_scaled_estimators.calculator.Calculator(args.type)
    if args.refresh:
        calculator.refresh(level=args.level, party=args.party)
    else:
        calculator.calculate(level=args.level, party=args.party)


if __name__ == "__main__":
    sys.exit(main_cli())
